<?php
/**
 * Trip Search Section options
 *
 * @package Theme Palace
 * @subpackage Moun10 Pro
 * @since Moun10 Pro 1.0.0
 */

// Add Trip Search section
$wp_customize->add_section( 'moun10_pro_trip_search_section', array(
	'title'             => esc_html__( 'Trip Search','moun10-pro' ),
	'description'       => sprintf( '%1$s <a href="' . esc_url( 'https://wordpress.org/plugins/wp-travel/' ) . '" target="_blank"> %2$s </a> %3$s', esc_html__( 'To enable Trip Search. Download and Activate WP Travel plugin. ', 'moun10-pro' ), esc_html__( 'Click Here', 'moun10-pro' ), esc_html__( 'to download.', 'moun10-pro' ) ),
	'panel'             => 'moun10_pro_front_page_panel',
) );

// Trip Search content enable control and setting
$wp_customize->add_setting( 'moun10_pro_theme_options[trip_search_section_enable]', array(
	'default'			=> 	$options['trip_search_section_enable'],
	'sanitize_callback' => 'moun10_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Moun10_Pro_Switch_Control( $wp_customize, 'moun10_pro_theme_options[trip_search_section_enable]', array(
	'label'             => esc_html__( 'Trip Search Section Enable', 'moun10-pro' ),
	'section'           => 'moun10_pro_trip_search_section',
	'on_off_label' 		=> moun10_pro_switch_options(),
) ) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'moun10_pro_theme_options[trip_search_section_enable]', array(
		'selector'            => '#travel-search-section .tooltiptext',
		'settings'            => 'moun10_pro_theme_options[trip_search_section_enable]',
    ) );
}