<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Moun10 Pro
* @since Moun10 Pro 1.0.0
*/
if ( ! function_exists( 'moun10_pro_validate_service_posts_count' ) ) :
    function moun10_pro_validate_service_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'moun10-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'moun10-pro' ) );
       }
       return $validity;
    }
  endif;
if ( ! function_exists( 'moun10_pro_validate_long_excerpt' ) ) :
    function moun10_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'moun10-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'moun10-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_slider_count' ) ) :
  function moun10_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'moun10-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'moun10-pro' ) );
     }
     return $validity;
  }
endif;
if ( ! function_exists( 'moun10_pro_validate_destination_posts_count' ) ) :
    function moun10_pro_validate_destination_posts_count( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
        } elseif ( $value < 1 ) {
            $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'moun10-pro' ) );
        } elseif ( $value > 12 ) {
            $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_blog_count' ) ) :
  function moun10_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'moun10-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'moun10-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'moun10_pro_validate_team_count' ) ) :
    function moun10_pro_validate_team_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'moun10-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_counter_count' ) ) :
    function moun10_pro_validate_counter_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 4 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'moun10-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'moun10-pro' ) );
       }
       return $validity;
    }
  endif;

if ( ! function_exists( 'moun10_pro_validate_features_count' ) ) :
    function moun10_pro_validate_features_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'moun10-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_must_read_count' ) ) :
    function moun10_pro_validate_must_read_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'moun10-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_popular_destination_count' ) ) :
    function moun10_pro_validate_popular_destination_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'moun10-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_package_count' ) ) :
    function moun10_pro_validate_package_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'moun10-pro' ) );
       } elseif ( $value > 4 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_offer_count' ) ) :
    function moun10_pro_validate_offer_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'moun10-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_featured_package_count' ) ) :
    function moun10_pro_validate_featured_package_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'moun10-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'moun10_pro_validate_course_count' ) ) :
    function moun10_pro_validate_course_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'moun10-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'moun10-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'moun10-pro' ) );
       }
       return $validity;
    }
endif;